<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myCustomerRequestItemLabel" jhiTranslate="mpmApp.customerRequestItem.home.createOrEditLabel">Create or edit a Customer Request Item</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" *ngIf="idProduct === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.customerRequestItem.product" for="field_product">Product</label>
                    <select class="form-control" id="field_product" name="product" [(ngModel)]="customerRequestItem.idProduct" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="productOption.idProduct" *ngFor="let productOption of products; trackBy: trackProductById">{{productOption.name}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idFeature === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.customerRequestItem.feature" for="field_feature">Feature</label>
                    <select class="form-control" id="field_feature" name="feature" [(ngModel)]="customerRequestItem.idFeature" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.description}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.customerRequestItem.customer" for="field_customer">Customer</label>
                    <select class="form-control" id="field_customer" name="customer" [(ngModel)]="customerRequestItem.customerId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="customerOption.idCustomer" *ngFor="let customerOption of customers; trackBy: trackCustomerById">{{customerOption.idCustomer}} - {{customerOption.partyName}}</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.customerRequestItem.unitPrice" for="field_unitPrice">Unit Price</label>
                    <input currencyMask class="form-control" name="unitPrice" id="field_unitPrice"
                        [(ngModel)]="customerRequestItem.unitPrice"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.customerRequestItem.idFrame" for="field_idFrame">Id Frame</label>
                    <input type="text" class="form-control" name="idFrame" id="field_idFrame"
                        [(ngModel)]="customerRequestItem.idFrame" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.customerRequestItem.idMachine" for="field_idMachine">Id Machine</label>
                    <input type="text" class="form-control" name="idMachine" id="field_idMachine"
                        [(ngModel)]="customerRequestItem.idMachine" />
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
